## org.eclipse.jetty.util.component
Class Container.Relationship

    java.lang.Object
      org.eclipse.jetty.util.component.Container.Relationship

Enclosing class:
  Container

    public static class Container.Relationship

extends java.lang.Object

A Container event.

See Also:
  `Container.Listener`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `getChild()`
`Container` `getContainer()`
`java.lang.Object` `getParent()`
`java.lang.String` `getRelationship()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getContainer

    public Container getContainer()

### getChild

    public java.lang.Object getChild()

### getParent

    public java.lang.Object getParent()

### getRelationship

    public java.lang.String getRelationship()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.